<?php
/* -----------------------------------------------------------------------------
  Plugin     : ColorStat
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr

    << May the Little SpaceFrog be with you ! >>
  ------------------------------------------------------------------------------
  See main.inc.php for release information

  --------------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

global $prefixeTable;
load_language('plugin.lang', CSTAT_PATH);

$main_plugin_object = get_plugin_data($plugin_id);

/*
 * if the plugin is newly installed, display a special configuration page
 * otherwise, display normal page
 */

$config=Array();
GPCCore::loadConfig('cstat', $config);

if($config['newInstall']=='n')
{
  include(CSTAT_PATH."cstat_aip.class.inc.php");
  $plugin_aip = new CStat_AIP($prefixeTable, $main_plugin_object->getFileLocation());
}
else
{
  include(CSTAT_PATH."cstat_aip_install.class.inc.php");
  $plugin_aip = new CStat_AIPInstall($prefixeTable, $main_plugin_object->getFileLocation());
}

$plugin_aip->manage();
?>
